> For the complete documentation index, see [llms.txt](https://apidocs.api19.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.api19.com/campaigns/update-10dlc-campaign.md).

# Update 10DLC Campaign

## POST Request

{% hint style="info" %}
<https://v1.api19.com/campaigns/campaign/update>
{% endhint %}

Update an existing 10DLC campaign

{% tabs %}
{% tab title="Curl Post" %}

```bash
curl https://v1.api19.com/campaigns/campaign/update \
 -d 'key=api_token' \
 -d 'id=C12345' \
 -d 'campaign_description=Updated campaign description' \
 -d 'call_to_action=Reply YES to opt in' \
 -d 'accepted_loans=false' \
 -d 'accepted_age_gated=false' \
 -d 'accepted_number_pool=true'
```

{% endtab %}

{% tab title="JSON Response" %}

```json
{
	"status": "ok",
	"data": "campaign updated"
}
```

{% endtab %}
{% endtabs %}

## Required Parameters

* `id` (required) - Campaign ID
* `mms_url` (required) - MMS media URL
* `campaign_description` (required) - Campaign description
* `call_to_action` (required) - Call to action
* `accepted_loans` (required) - Whether campaign involves loans
* `accepted_age_gated` (required) - Whether campaign is age-gated
* `accepted_number_pool` (required) - Whether using number pool

## Optional Parameters

{% hint style="warning" %}
Warning: Optional fields will be set to default values if omitted. It is HIGHLY suggested to repost all data associated with a campaign.
{% endhint %}

* `sample_message_1` - Sample message
* `sample_message_2` - Additional sample message
* `sample_message_3` - Additional sample message
* `sample_message_4` - Additional sample message
* `sample_message_5` - Additional sample message
* `start_keywords` - Start keywords
* `opted_in_start` - Opt-in start message
* `stop_keywords` - Stop keywords
* `opted_in_stop` - Opt-in stop message
* `help_keywords` - Help keywords
* `opted_in_help` - Opt-in help message
* `accepted_link` - Whether campaign accepts links
* `accepted_phone_number` - Whether campaign accepts phone numbers
* `use_case_type` - Campaign use case type
* `resubmit` - Whether to resubmit the campaign


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/campaigns/update-10dlc-campaign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
